Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl
Class XMLDocumentFragmentScannerImpl.ElementStack

    java.lang.Object
      weblogic.apache.xerces.impl.XMLDocumentFragmentScannerImpl.ElementStack

Enclosing class:
  XMLDocumentFragmentScannerImpl

protected static class XMLDocumentFragmentScannerImpl.ElementStack
extends Object

Element stack. This stack operates without synchronization, error checking, and it re-uses objects instead of throwing popped items away.

Field Summary
`protected QName[]` | `fElements` The stack data.
`protected int` | `fSize` The size of the stack.

Constructor Summary
`XMLDocumentFragmentScannerImpl.ElementStack()` Default constructor.

Method Summary
`void` | `clear()` Clears the stack without throwing away existing QName objects.
`void` | `popElement(QName element)` Pops an element off of the stack by setting the values of the specified QName.
`QName` | `pushElement(QName element)` Pushes an element on the stack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fElements

    protected QName[] fElements

  The stack data.

### fSize

    protected int fSize

  The size of the stack.

Constructor Detail

### XMLDocumentFragmentScannerImpl.ElementStack

    public XMLDocumentFragmentScannerImpl.ElementStack()

  Default constructor.

Method Detail

### clear

    public void clear()

  Clears the stack without throwing away existing QName objects.

### popElement

    public void popElement(QName element)

  Pops an element off of the stack by setting the values of the specified QName.

  Note: The object returned is not orphaned to the caller. Therefore, the caller should consider the object to be read-only.

### pushElement

    public QName pushElement(QName element)

  Pushes an element on the stack.

  Note: The QName values are copied into the stack. In other words, the caller does not orphan the element to the stack. Also, the QName object returned is not orphaned to the caller. It should be considered read-only.

  Parameters:
    `element` - The element to push onto the stack.
  Returns:
    Returns the actual QName object that stores the

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD